'''
Created on Dec 19, 2016

@author: klaehn
'''
import sys
sys.path.append('source/')
import unittest
import random
import data_buffer


class Test(unittest.TestCase):


    def test_zero_space(self):
        dut = data_buffer.DataBuffer(0)
        result = dut.push(10)
        self.assertFalse(result, "test_zero_space - exp: False res: True")

    def test_max_data(self):
        buffer_size = 10
        dut = data_buffer.DataBuffer(buffer_size)
        for _ in range(11):
            dut.push(random.random())
        result = dut.length()
        self.assertEqual(result, buffer_size, "test_max_data - exp: " + \
                         str(buffer_size) + " res: " + str(result))

if __name__ == "__main__":
    #import sys;sys.argv = ['', 'Test.testName']
    unittest.main()